{# Cars

This cards sample uses only one of many styles allowed.

parameters:
  id: give a unique ID to every widget in the page
  style: additional css style rules for this ID
  class: set additional classes for the widget
  columns: number of columns. Default 3
  cards: list of cards to display
    image: list with image url (from media path), image class and image alt text
    align: alignment for content can be "text-center" or "text-end". Default centered
    text: text or content for slide
    buttons: list of buttons, each with text, url and class

-#}
{%include "include/widget_style.html" -%}
<div id="{{widget.id}}">
    <div class="row row-cols-1 row-cols-md-{{widget.columns or 3}} g-4 {{widget.class}}">
        {% for i,item in enum_list(widget.cards) -%}
        <div class="col">
            <div class="card h-100">
                <img src="{{get_media(item.image)}}" class="card-img-top">
                <div class="card-body {{item.align}}">
                    <h3 class="card-title">{{item.title}}</h5>
                        {{item.text}}
                </div>
            </div>
        </div>
        {% endfor -%}
    </div>
</div>
